JazzSSParserInternal::State Struct Reference

Internal: the state of a JazzSSParser. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

bool | m_isDatabase
| true if the file is a database file
MWAWVec2i | m_dimensions
| the sheet dimensions
MWAWFont | m_font
| the cell default font
std::vector< float > | m_widths
| the columns width
std::map< MWAWVec2i, Cell > | m_posToCells
| map of cells sorted by columns

## Detailed Description

Internal: the state of a JazzSSParser.

## Constructor & Destructor Documentation

## State()

JazzSSParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_dimensions

MWAWVec2i JazzSSParserInternal::State::m_dimensions

the sheet dimensions

Referenced by State().

## m_font

MWAWFont JazzSSParserInternal::State::m_font

the cell default font

Referenced by State().

## m_isDatabase

bool JazzSSParserInternal::State::m_isDatabase

true if the file is a database file

Referenced by State().

## m_posToCells

std::map<MWAWVec2i, Cell> JazzSSParserInternal::State::m_posToCells

map of cells sorted by columns

Referenced by State().

## m_widths

std::vector<float> JazzSSParserInternal::State::m_widths

the columns width

Referenced by State().

The documentation for this struct was generated from the following file:

- JazzSSParser.cxx